#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xa578abbc, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x97b9eaba, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x9478b3a2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xd7089eab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x6b6e77bd, "lock_sock_nested" },
	{ 0x38906e2d, "ethtool_op_get_link" },
	{ 0x6f3734a7, "nexthop_find_by_id" },
	{ 0xbb14809e, "arp_create" },
	{ 0x41329782, "__ethtool_get_link_ksettings" },
	{ 0x933a4dff, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1de0b5ab, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xda894996, "netdev_adjacent_change_abort" },
	{ 0xab22e5df, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9f3c4e87, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf0cb4022, "__iptunnel_pull_header" },
	{ 0x4ae9c3a0, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xdf0cd887, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x158d1fac, "setup_udp_tunnel_sock" },
	{ 0xece9968e, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7ec2ddce, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6fe80bd5, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6dafb29f, "skb_scrub_packet" },
	{ 0xafbfcef8, "nexthop_select_path" },
	{ 0x6ec446c, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb8e2e84e, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x85a2712, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0x3c0d8d0c, "udp_tun_rx_dst" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x66e4d3e5, "rtnl_notify" },
	{ 0x9e30e27b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x995b4a50, "__netif_rx" },
	{ 0xd4b5c4a4, "skb_clone" },
	{ 0x13a8c115, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x464a3305, "dst_release" },
	{ 0x61f8ca6a, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xd62147cc, "udp_tunnel_notify_del_rx_port" },
	{ 0x16cd8608, "register_nexthop_notifier" },
	{ 0x886d5f54, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1f34b56a, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb0cb5b60, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x9bcdbadd, "netdev_core_stats_inc" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0x584585cc, "netdev_info" },
	{ 0xbe8c17c6, "neigh_lookup" },
	{ 0x368e34db, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf36ecf0d, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xb8ac82f8, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x293df616, "skb_copy_bits" },
	{ 0x226fe4a1, "__nlmsg_put" },
	{ 0xbed41eb3, "netdev_adjacent_change_commit" },
	{ 0x8519315d, "eth_mac_addr" },
	{ 0x2a2966b6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc8007eb7, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc88d6fd, "ip6_dst_hoplimit" },
	{ 0xa87deb27, "param_ops_ushort" },
	{ 0x8f94f0ed, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xbc68bbe3, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcce32f95, "udp_tunnel6_xmit_skb" },
	{ 0x5ef3fe48, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x89367ff9, "__unregister_nexthop_notifier" },
	{ 0xaa62aefa, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0x4c0d8aa6, "eth_validate_addr" },
	{ 0xb0ec1765, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9ecb7e07, "rtnl_create_link" },
	{ 0x98a36349, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x13412c9c, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa3a9d69c, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x419216aa, "udp_tunnel_drop_rx_port" },
	{ 0x3f7edd94, "netdev_upper_dev_link" },
	{ 0x45e3f8f8, "pskb_expand_head" },
	{ 0x3014f76c, "register_pernet_subsys" },
	{ 0x10fc91e1, "dev_addr_mod" },
	{ 0x49413f93, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x9ca69a4f, "__alloc_skb" },
	{ 0x89b46c32, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xee1e48f7, "eth_gro_complete" },
	{ 0x1cfef558, "rtnl_set_sk_err" },
	{ 0x7d76b02a, "eth_gro_receive" },
	{ 0x7331b8a8, "rtnl_configure_link" },
	{ 0x1c55c25a, "skb_tunnel_check_pmtu" },
	{ 0x93d10144, "udp_tunnel_dst_lookup" },
	{ 0x8b363538, "rtnl_unicast" },
	{ 0x53529658, "peernet2id" },
	{ 0x8f6313f1, "__skb_get_hash_net" },
	{ 0xef056497, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xac94c813, "__dev_get_by_index" },
	{ 0x19c6f0b8, "rtnl_link_unregister" },
	{ 0xfcf90dbe, "ipv6_stub" },
	{ 0xe80def2a, "skb_pull" },
	{ 0x1f438425, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9b1e1aae, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf2a4612e, "dev_get_by_index_rcu" },
	{ 0x17c5a0a2, "gro_cells_receive" },
	{ 0xf2a34803, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc1a4fbbf, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x18c082e9, "__rtnl_register_many" },
	{ 0xf8d2073, "free_netdev" },
	{ 0x40e89b56, "ip_mc_join_group" },
	{ 0x7eeee4d, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "E599667AACBC655BE9ED9DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
