#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x80cc47b7, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xc1161b94, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x7c5a184e, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x545fb4a4, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x6a0c9aa6, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x3e6cc31f, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xb8102014, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x89633908, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x97ddfe0a, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x181be339, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x749f61f8, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x8d87e131, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xbd97dcc4, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x49085558, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x06224a7d, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x2f6f0885, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x3731b176, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x0682f5d7, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x1c356eed, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xeb55a10b, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x08aefdc2, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x1a61b125, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x6f6ecdcc, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xe49e2ff0, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x8a068a6c, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x62564368, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x82b1da70, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xa53adc63, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xd11728a2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x65745312, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xe3dc8fa1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x47ecfe86, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x8a5151fd, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x97bba15e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x1815df64, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xf9f4fc14, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x2d07701f, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x181f75c1, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x4a2412fb, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x1eb7b5e4, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x82fb2165, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xf4ab3753, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x3c852915, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x9c7cf4c3, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x34003ac6, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x4347e8e3, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x35842fe1, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x77db57f0, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x021e711d, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x7b67704e, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x18a07713, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xf6dbbf7d, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x0ef346a0, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xb9d32c81, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x5fdbc430, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x1772ccdb, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x774960b4, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x2c216a6f, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x4d10c7be, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x416af047, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x4cef6ec8, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x9ddd6768, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x7632d529, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x291a65c2, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x73e4fdf9, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x9f696637, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3dd67daf, "mt76_csa_check" },
	{ 0x3eefc520, "mt76_tx_status_skb_add" },
	{ 0x54556f7f, "__tracepoint_mac_txdone" },
	{ 0xd989e04, "mt76_tx_check_agg_ssn" },
	{ 0x303e6d51, "ieee80211_tx_status_ext" },
	{ 0xc26f5303, "mt76_stop_tx_queues" },
	{ 0x5a9b0d22, "___pskb_trim" },
	{ 0xf7bc1e70, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9dc1760a, "__mt76_tx_complete_skb" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x64211975, "ieee80211_restart_hw" },
	{ 0xe7bae89a, "bpf_trace_run2" },
	{ 0xd1d11bff, "ieee80211_get_hdrlen_from_skb" },
	{ 0xafadde49, "kthread_park" },
	{ 0xcc46e146, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86e56afc, "mt76_wcid_init" },
	{ 0xb4c14e28, "mt76_tx_status_check" },
	{ 0xa9d8d8bd, "wake_up_process" },
	{ 0x3eea2e2e, "trace_event_buffer_commit" },
	{ 0x12f10676, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85119559, "napi_complete_done" },
	{ 0xe76032bc, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71293531, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6fad0be1, "mt76_tx" },
	{ 0x4ba2e5ed, "__napi_schedule" },
	{ 0xb8431ebf, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xca3e195f, "mt76_wcid_key_setup" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x3c0d585b, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x126b4124, "kthread_unpark" },
	{ 0x84e7fd39, "mt76_phy_dfs_state" },
	{ 0x2c0b89ab, "wiphy_to_ieee80211_hw" },
	{ 0x80c9be1a, "mt76_init_queue" },
	{ 0x37453fd9, "debugfs_attr_read" },
	{ 0xd012d34d, "__mt76_sta_remove" },
	{ 0xa5dde47f, "mt76_tx_status_skb_done" },
	{ 0xc2a03bb, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc789e8c, "perf_trace_run_bpf_submit" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x1a1c9cff, "debugfs_create_bool" },
	{ 0xe80def2a, "skb_pull" },
	{ 0xed6c91f9, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8b49ec63, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2a34803, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x72cd52ec, "napi_enable" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0x1e07ba17, "trace_event_reg" },
	{ 0x460ef5da, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xe7781a2a, "ieee80211_wake_queues" },
	{ 0x125c7b91, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4e6cba80, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x3140a6ff, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd8f726f8, "mt76_set_irq_mask" },
	{ 0xc1b94c68, "bpf_trace_run1" },
	{ 0x85a276e0, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6ab955b, "debugfs_create_u32" },
	{ 0x71a2a704, "__SCK__tp_func_mac_txdone" },
	{ 0x780c794c, "mt76_seq_puts_array" },
	{ 0x67559c5b, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa7162e51, "__tracepoint_dev_irq" },
	{ 0x85bb2849, "seq_read" },
	{ 0x632b4914, "mt76_mcu_get_response" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x6d4482ca, "trace_event_buffer_reserve" },
	{ 0x11a8fb1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6dda3e26, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2b23dd9a, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x83eab0fb, "seq_write" },
	{ 0xca823446, "____mt76_poll_msec" },
	{ 0x66454354, "seq_printf" },
	{ 0xb0d8853f, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc96d23c1, "mt76_wcid_cleanup" },
	{ 0xb261f906, "ieee80211_radar_detected" },
	{ 0xd4496f5b, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9ca480e7, "mt76_queues_read" },
	{ 0x77682990, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x3221089b, "napi_schedule_prep" },
	{ 0x29992700, "napi_disable" },
	{ 0xc76a6f62, "dev_kfree_skb_any_reason" },
	{ 0x340d6c27, "__mt76_poll" },
	{ 0x8b429a63, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf8ffbcad, "debugfs_create_u8" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3aa2a7b, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0x4c2ef76, "mt76_dma_rx_poll" },
	{ 0x3a5dafe0, "mt76_tx_status_unlock" },
	{ 0x7bad74cf, "simple_attr_open" },
	{ 0xeebf3796, "debugfs_attr_write" },
	{ 0x4be91a6d, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8f94f0ed, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x75e0d381, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2236f79e, "mt76_tx_status_skb_get" },
	{ 0xc2afa160, "trace_raw_output_prep" },
	{ 0x6ebc847e, "mt76_tx_status_lock" },
	{ 0xb1bfc9cc, "skb_dequeue" },
	{ 0x9291e117, "__trace_trigger_soft_disabled" },
	{ 0xfed96d9b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "71CBEAE21FA6A6AF1D58B43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
