#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x5fb6e6f9, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xceacecb1, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x0aa076ca, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xf5b094e9, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x31bc0e92, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x1d678194, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x5ce76b13, "");
SYMBOL_CRC(rtw89_core_rx, 0xca96a958, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xdaa92b24, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x8b668407, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x8c672aa0, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x3572bcae, "");
SYMBOL_CRC(rtw89_check_quirks, 0xd24ab8ec, "");
SYMBOL_CRC(rtw89_core_init, 0x24cc03e8, "");
SYMBOL_CRC(rtw89_core_deinit, 0x09fef670, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xbba3e24d, "");
SYMBOL_CRC(rtw89_core_register, 0x0656059c, "");
SYMBOL_CRC(rtw89_core_unregister, 0x72b57b87, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0xf0f74341, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x118218cf, "");
SYMBOL_CRC(rtw89_ops, 0xb958d84e, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xc6524c36, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xbc19e15b, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x8fc2c124, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x18d24b89, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xad4ded21, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0xb25deb85, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xafa9c250, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xa9a561fa, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xaa963be4, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x05779de2, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x261e50d4, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x59b6d2ca, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x1d49fa2b, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xd173cdae, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x98fea8e8, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x04e39366, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x35ca7e91, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x061a6a56, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0xccae986a, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0xd8678035, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x29773723, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x1387abed, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xb891f8fb, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x891e6d21, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x46a8a7ca, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x61f68b3f, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x06f110e6, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x875fbf3d, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x24f7b1cd, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xed13239f, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x8a19ffab, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0xf9a13c20, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x67f007c1, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x8f8fe705, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x2b4c1fca, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x47cb6471, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xe0a107be, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0xa21af53c, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x9df77e12, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xc0dfb31d, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x0ed5bd42, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x004afa0c, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x728d95c4, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xe2f8a3fb, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x8c045500, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xc29fc1d8, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xd9dee974, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x8a29fa55, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0xcc27b6fd, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x8bd9a470, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x96e3e046, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x774eeff9, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xa20b7a84, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x0adee3f8, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x3ddded62, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x2a1b1709, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0xed7fa075, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0xf24a6e39, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x2c53943c, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x04f347a3, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0xc4bed112, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x0c1ed667, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xcf30b8b6, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x0f634097, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x60c34401, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0x8eca2f9d, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x110360af, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xd1367745, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xa60c0161, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0x31d8f1cc, "");
SYMBOL_CRC(rtw89_ser_notify, 0x040e604b, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8b9e4dc, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0xf3d975d5, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x97ee48ad, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2b64c8f2, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x1c736535, "ieee80211_ready_on_channel" },
	{ 0x67559c5b, "ieee80211_stop_queues" },
	{ 0x7ec2ddce, "skb_trim" },
	{ 0xad7e64ce, "skb_unlink" },
	{ 0x31f8cef7, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x4f3854a7, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf4eacf9, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf4cf5e7c, "ieee80211_scan_completed" },
	{ 0x11a8fb1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63af1b06, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x83eab0fb, "seq_write" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66454354, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0d8853f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3627bf98, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2f54bda9, "ieee80211_queue_work" },
	{ 0x3221089b, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x29992700, "napi_disable" },
	{ 0xc76a6f62, "dev_kfree_skb_any_reason" },
	{ 0x7a24c166, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xab5afaec, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf18d82ec, "ieee80211_stop_tx_ba_session" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0xc896ae9, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0x4365e3a8, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3fa60d73, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa28f9f6d, "__ieee80211_schedule_txq" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x472c531c, "cfg80211_bss_iter" },
	{ 0x2a2966b6, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8f94f0ed, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x75e0d381, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5c52d96, "ieee80211_free_hw" },
	{ 0xfb75b33e, "ieee80211_probereq_get" },
	{ 0x9693fee9, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x2e1d98f7, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3ebcec9c, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x44456cbc, "ieee80211_nullfunc_get" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0xa5db3cbe, "ieee80211_pspoll_get" },
	{ 0x939fb68b, "ieee80211_register_hw" },
	{ 0x1a89e44f, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x64211975, "ieee80211_restart_hw" },
	{ 0xa000750f, "__netif_napi_del" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45e3f8f8, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4ba2e5ed, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0xcf08e0a8, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x2c0b89ab, "wiphy_to_ieee80211_hw" },
	{ 0xe9238966, "ieee80211_gtk_rekey_add" },
	{ 0xc2a03bb, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9b1e1aae, "sk_skb_reason_drop" },
	{ 0x8bb34dd9, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x71073173, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2a34803, "skb_push" },
	{ 0x72cd52ec, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe7781a2a, "ieee80211_wake_queues" },
	{ 0xf8d2073, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4e6cba80, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9cb2dc36, "ieee80211_free_txskb" },
	{ 0xe206600d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf3dd6859, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E579E5BA0A9D98E00D2FD37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
