#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x453c4cdc, "");
SYMBOL_CRC(wpan_phy_for_each, 0x0961da6d, "");
SYMBOL_CRC(wpan_phy_new, 0xf7356677, "");
SYMBOL_CRC(wpan_phy_register, 0x807cc8ef, "");
SYMBOL_CRC(wpan_phy_unregister, 0x59433d06, "");
SYMBOL_CRC(wpan_phy_free, 0x2a74436a, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xa8b65c85, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x08d157d7, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x12d60501, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x9db0b286, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xb8139255, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xf62d47b6, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xe39bb8b8, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xe3da1a77, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x34f7792f, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x1a380c5e, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x9800762c, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x214c0730, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x95706853, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xbc8664be, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xe12740bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d304f20, "nla_put" },
	{ 0x1e07ba17, "trace_event_reg" },
	{ 0x4dffca8b, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x801f08b5, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc1b94c68, "bpf_trace_run1" },
	{ 0x9076d124, "device_del" },
	{ 0xa9d3eff0, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ae9c3a0, "__pskb_pull_tail" },
	{ 0x7ec2ddce, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaa39e1f2, "bpf_trace_run3" },
	{ 0x17ccffc1, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x53426e4c, "get_net_ns_by_pid" },
	{ 0x6d4482ca, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x87f72329, "device_match_name" },
	{ 0xc5525a63, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x688f6961, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5941c043, "genl_register_family" },
	{ 0x45441ebf, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xadeb4a72, "register_pernet_device" },
	{ 0xfc45a842, "get_net_ns_by_fd" },
	{ 0xb307c89e, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0x532e84d7, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3113ba43, "bpf_trace_run4" },
	{ 0x2a2966b6, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0x3d20af12, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2afa160, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x9291e117, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfed96d9b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x28aaef01, "device_initialize" },
	{ 0x9cf579b8, "genlmsg_put" },
	{ 0xf7bc1e70, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0xe7bae89a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f25d639, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12088b47, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbffc7bb8, "device_rename" },
	{ 0x3eea2e2e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe2d187d9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ca69a4f, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x20b7ea7c, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xac94c813, "__dev_get_by_index" },
	{ 0xc789e8c, "perf_trace_run_bpf_submit" },
	{ 0xa244a8e, "init_net" },
	{ 0xe80def2a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd8c270ba, "device_add" },
	{ 0x9b1e1aae, "sk_skb_reason_drop" },
	{ 0x3248d489, "netlink_unicast" },
	{ 0x7f24edcc, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2a34803, "skb_push" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41E7773C1AA1DB2EE13E023");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
