#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x9fc3f990, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x0210a294, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x23630875, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x3c78d759, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xc11ad0bd, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x5e067c16, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xef725cde, "skb_mpls_pop" },
	{ 0x506f42e9, "skb_vlan_pop" },
	{ 0x81663a4, "dst_init" },
	{ 0x9c9deabe, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x8f6313f1, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x19c6f0b8, "rtnl_link_unregister" },
	{ 0xc789e8c, "perf_trace_run_bpf_submit" },
	{ 0xa244a8e, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xfcf90dbe, "ipv6_stub" },
	{ 0x67795600, "skb_mpls_update_lse" },
	{ 0xe80def2a, "skb_pull" },
	{ 0x8d9feed0, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9b1e1aae, "sk_skb_reason_drop" },
	{ 0x3248d489, "netlink_unicast" },
	{ 0x213595f6, "bpf_trace_run5" },
	{ 0xf2a4612e, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2a34803, "skb_push" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0xc1a4fbbf, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1e07ba17, "trace_event_reg" },
	{ 0x844f0a51, "skb_ensure_writable" },
	{ 0xf8d2073, "free_netdev" },
	{  0x8c680, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x801f08b5, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x38906e2d, "ethtool_op_get_link" },
	{ 0xd4d24d14, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x432f3499, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4ae9c3a0, "__pskb_pull_tail" },
	{ 0x80ef21df, "nf_ct_delete" },
	{ 0xd96cbf18, "nf_conncount_init" },
	{ 0xda8e86b8, "skb_vlan_push" },
	{ 0xdf0cd887, "netif_rx" },
	{ 0x2b64c8f2, "__netdev_alloc_skb" },
	{ 0x19e46430, "__kmem_cache_create_args" },
	{ 0xc7578ff5, "netdev_master_upper_dev_link" },
	{ 0x1c19fbd8, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe413aace, "inet_proto_csum_replace16" },
	{ 0x7ec2ddce, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6dafb29f, "skb_scrub_packet" },
	{ 0x6568e2a3, "nf_ct_deliver_cached_events" },
	{ 0x7f25e928, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x199fabfb, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9178762a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x6d4482ca, "trace_event_buffer_reserve" },
	{ 0x8d636c59, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60d4b30a, "inet_proto_csum_replace4" },
	{ 0xa7c212aa, "nf_conncount_destroy" },
	{ 0xbbd7c678, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x1b19025, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc5525a63, "dev_get_by_name" },
	{ 0xd4b5c4a4, "skb_clone" },
	{ 0x13a8c115, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x464a3305, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb3a2ddaa, "peernet2id_alloc" },
	{ 0xf77ade70, "nf_ct_get_tuplepr" },
	{ 0xfb71fdb4, "netdev_rx_handler_register" },
	{ 0xb50418e1, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x688f6961, "genl_unregister_family" },
	{ 0xd30f5093, "dev_disable_lro" },
	{ 0xc03fb298, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xc76a6f62, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5941c043, "genl_register_family" },
	{ 0xa61d6941, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdee341cb, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xcd04c01a, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x5633832f, "skb_mpls_push" },
	{ 0xadeb4a72, "register_pernet_device" },
	{ 0xe0a6c11d, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbb5473b8, "kmem_cache_destroy" },
	{ 0xc536a6cf, "__skb_vlan_pop" },
	{ 0xd694a243, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf36ecf0d, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xff34cec, "nf_ct_ext_add" },
	{ 0xab953e8e, "nsh_pop" },
	{ 0xf7d9f526, "nf_conntrack_find_get" },
	{ 0x29172ee8, "nf_ct_set_timeout" },
	{ 0xb8e163a4, "dev_get_stats" },
	{ 0x9a5ea756, "__nla_put" },
	{ 0xa717aa5d, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe4d4eb84, "dev_fill_metadata_dst" },
	{ 0x3113ba43, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x293df616, "skb_copy_bits" },
	{ 0xb339c164, "nf_ct_handle_fragments" },
	{ 0x8519315d, "eth_mac_addr" },
	{ 0x2a2966b6, "skb_put" },
	{ 0xb1c77bd0, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7b44cf62, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8f94f0ed, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf93f7c4e, "nf_ct_nat" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee2a46dd, "skb_eth_pop" },
	{ 0xc2afa160, "trace_raw_output_prep" },
	{ 0x6d31da23, "skb_gso_validate_mac_len" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x6369f58a, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xb48e7cd0, "nf_ct_helper" },
	{ 0x9291e117, "__trace_trigger_soft_disabled" },
	{ 0x968873ee, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfed96d9b, "trace_event_printf" },
	{ 0x25c516ad, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5ef3fe48, "rtnl_link_register" },
	{ 0xd831f003, "nf_connlabels_put" },
	{ 0x9cf579b8, "genlmsg_put" },
	{ 0x5a9b0d22, "___pskb_trim" },
	{ 0xf7bc1e70, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xef102c25, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d7e6868, "dev_set_promiscuity" },
	{ 0xf85c2c48, "nf_ct_destroy_timeout" },
	{ 0x211a145d, "nf_ct_add_helper" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0x71d0308d, "nf_conntrack_helper_put" },
	{ 0xeafc6518, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcb5bbc53, "nf_ct_skb_network_trim" },
	{ 0x98a36349, "unregister_netdevice_queue" },
	{ 0x29a9aa64, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xa3a9d69c, "ether_setup" },
	{ 0x12088b47, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45e3f8f8, "pskb_expand_head" },
	{ 0x76877464, "skb_csum_hwoffload_help" },
	{ 0x3eea2e2e, "trace_event_buffer_commit" },
	{ 0x10fc91e1, "dev_addr_mod" },
	{ 0xc3c0fc33, "nf_connlabels_replace" },
	{ 0x49413f93, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa699ff8, "alloc_netdev_mqs" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8e68fa84, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x7217335c, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfcba66b6, "skb_eth_push" },
	{ 0x7661bbb7, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ca69a4f, "__alloc_skb" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "D824B05ADBE882FA7FAC0B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
