#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0xa4f9b1a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x9ca69a4f, "__alloc_skb" },
	{ 0x226fe4a1, "__nlmsg_put" },
	{ 0x3248d489, "netlink_unicast" },
	{ 0x3464496d, "xfrm_sad_getinfo" },
	{ 0x7ec2ddce, "skb_trim" },
	{ 0xe4d3ecb4, "xfrm_spd_getinfo" },
	{ 0x14fe2407, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4abfdec0, "__xfrm_init_state" },
	{ 0x98c89ade, "security_xfrm_state_alloc" },
	{ 0x687b628d, "xfrm_init_replay" },
	{ 0xae6a9f0, "xfrm_dev_state_add" },
	{ 0x1115d122, "xfrm_state_update" },
	{ 0xc4fc7e9d, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x76c8ec34, "__xfrm_state_destroy" },
	{ 0xcb84e252, "xfrm_state_add" },
	{ 0x6dd6a4e, "xfrm_dev_state_delete" },
	{ 0x12088b47, "netlink_broadcast_filtered" },
	{ 0xa244a8e, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x8477f9d0, "__fib6_flush_trees" },
	{ 0xe5425bfc, "xfrm_state_lookup_byaddr" },
	{ 0xf2798c98, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x59c6870a, "xfrm_state_delete" },
	{ 0x66fe551f, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3297ea81, "km_state_expired" },
	{ 0x396a3ee3, "__xfrm_state_delete" },
	{ 0xe0b9065b, "security_xfrm_policy_alloc" },
	{ 0x6d94572a, "xfrm_policy_bysel_ctx" },
	{ 0x6455298a, "security_xfrm_policy_free" },
	{ 0xa7ccb36, "km_policy_expired" },
	{ 0x309f16a, "xfrm_policy_byid" },
	{ 0xba212e5a, "xfrm_policy_destroy" },
	{ 0x7749404b, "xfrm_policy_delete" },
	{ 0x47b182c7, "xfrm_audit_policy_delete" },
	{ 0xc74a3e35, "xfrm_dev_policy_add" },
	{ 0x6924f1db, "xfrm_policy_insert" },
	{ 0x504359e3, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xa08c8d2e, "xfrm_find_acq_byseq" },
	{ 0x321afa8c, "xfrm_find_acq" },
	{ 0x99dd8041, "xfrm_alloc_spi" },
	{ 0x142c554, "xfrm_state_free" },
	{ 0xd4c7d465, "km_query" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x3014f76c, "register_pernet_subsys" },
	{ 0x36ab2d4b, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdee341cb, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b58f735, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x157b195c, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xef0b4941, "xfrm_policy_hash_rebuild" },
	{ 0x32e82e39, "xfrm_state_flush" },
	{ 0xead4fb04, "km_state_notify" },
	{ 0x1128a54c, "xfrm_policy_walk_done" },
	{ 0x22a9b41b, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x92d89b5a, "xfrm_state_walk_done" },
	{ 0xba7137b5, "__netlink_kernel_create" },
	{ 0xd56856dc, "xfrm_unregister_km" },
	{ 0x1de0b5ab, "unregister_pernet_subsys" },
	{ 0x3a1bbd39, "netlink_net_capable" },
	{ 0x60f988e4, "const_pcpu_hot" },
	{ 0x818f8f2a, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x75348ce9, "xfrm_get_translator" },
	{ 0xa89d3063, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x9b1e1aae, "sk_skb_reason_drop" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x62891478, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x6598ae1f, "xfrm_policy_alloc" },
	{ 0x55871093, "xfrm_policy_flush" },
	{ 0xebf03d5a, "km_policy_notify" },
	{ 0x68b659c2, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "98FDAED55D855B393FE88FE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
