#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x69261d44, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x41cce598, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x3cb2e580, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xb9bfb031, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x12e2ea88, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xaef44fd4, "");
SYMBOL_CRC(mlx5_cmd_check, 0x2d9a71ad, "");
SYMBOL_CRC(mlx5_cmd_do, 0xcf2ccb93, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x5c1e2210, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x4182770d, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x7251cfed, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x91ea9f12, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xe5096191, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xcd5e206e, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x86aa4a51, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xc0eb922b, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x1153e43e, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xa1f7e546, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x44f17fdb, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x9d87411b, "");
SYMBOL_CRC(mlx5_eq_enable, 0xf2cdc05e, "");
SYMBOL_CRC(mlx5_eq_disable, 0x3ad97e35, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x793fc2aa, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x37477361, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x8c0b2d5f, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xbceccfae, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xd345ce06, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xf38aa55a, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x3cfab86d, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x140baa2d, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x92b2d822, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xbe72f50b, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xf3edb52b, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xfbffa81a, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xe9ac8523, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x8891ad1c, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xecb5f98c, "");
SYMBOL_CRC(mlx5_create_cq, 0xf9abc613, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x0e59e71d, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xf029a2c8, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x8550a899, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xbd578596, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xfe4b0553, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x5d6d68f4, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xfafd8022, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xda25e75a, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x00040a2d, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xe760cc14, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x293bd3dc, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x5137be4c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x4e73ff7a, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xd52bbf24, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xaefa05d5, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x2ac116f3, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x9ba15055, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x523d1d67, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x43a4b566, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xecf57eb6, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xdd7d701e, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xd2fb9663, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x988f025b, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xd12ee1f4, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x0e2bcb80, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x8a2bec12, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xa13be2e5, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x078006c8, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x9d1eabef, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xb183d410, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x3ccc71ff, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x358ed7cb, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x2f7fdd76, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xd965f44b, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x29454337, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x5a53d272, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x8e0eb610, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x259c0879, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xfb35b7e2, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x7505ddff, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xdb6f5b8e, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x18dbe1a8, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xbc9181f8, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xf7d86511, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x11ec1891, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x57ecfeeb, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x2a840d71, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x827b031d, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xe7473a7a, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x74256210, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xf1c74155, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xcd4656f2, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xdbc62ddd, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x91650e70, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x45225548, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x0ccbcc7a, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xa66b5f36, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xde32fa3a, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xa5f59945, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xf53422b3, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x1e1e72e5, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x2beefd44, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x56ce478f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x1e77c9ad, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x165735f9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xf8d2a90e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x3c750e81, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x036259ab, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x81520d83, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x0cff148f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x1dd9bb45, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x82b4b0b1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xe1b5b2b4, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x86e279bb, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x48f941df, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xe3f20070, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x822d8c86, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xae0c9515, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xb90c5372, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xd504f902, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x7608f2b1, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x17041338, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xe84ae70f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x360ee884, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x6e94c8ac, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x797f650c, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x6849bf63, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x1174efe5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x3b466c58, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x24f9fe1c, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x05ebe38d, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x59583b94, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x6d1b3e46, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x2f2ba5e6, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xdcdf4a4d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xcef6752b, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xcabf4e04, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x4e56174d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x36fd5a6a, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x2cfba6f8, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xeb99c100, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x0e1c7121, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xb16c0ef7, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xeb340719, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xa046c78e, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xb78e44e6, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x2e8731b8, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x0efe088d, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x51369777, "");
SYMBOL_CRC(mlx5_fc_create, 0xb2c24eba, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x75f3ae54, "");
SYMBOL_CRC(mlx5_fc_query, 0x43b90730, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xb333e3f2, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x321305cd, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x8d462b26, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x08fbb24d, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x19ff5870, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xdb7a6125, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xc8d01687, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x6bf2872b, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x3298fcdc, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xaad964cf, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x0943b36b, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x341f6092, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x57dd7cea, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xb63ddea5, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x71430fb9, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x93bf991a, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x97281f26, "");
SYMBOL_CRC(mlx5_notifier_register, 0x8cc7064f, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xba48b1fb, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x47dd89eb, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x0d249dbd, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xfa116ab0, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x9c2fe821, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x19c15ea5, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x4f1b32d6, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x8f16f053, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x5f88b0df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x24cb2a03, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x26024790, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xf05c04fe, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x8ddf9dc0, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xeef9b1c1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x45246b91, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x47ed0602, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xec30dc52, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x0db05dc2, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xadcc78a6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x6670d1ec, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x944be506, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x51030908, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xff8b6928, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x1a4afccb, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xe0b31577, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xc6f73188, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xaf98f77d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x2247af55, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x73253a3e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xe7e96e9d, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xecad5f89, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xa5b1de6d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x912e9987, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x4f0a7f92, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xa12b835e, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x06c72444, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x074ade13, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x001cfcf1, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x1e98ef4f, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x6a381a4c, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xa282657e, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x4348eb9c, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x84601d4d, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x6eef41e7, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x9ba0321b, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x019a74b9, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xc30bbfbe, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x60ff2ad4, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x54b3a661, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xea5f09a7, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xb195ee5d, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x41d37646, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x295201da, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xa62e5950, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x22be4a52, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x403349f0, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x0520c60e, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x3fd3d204, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x8cb7e52e, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xa3420f77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2a4612e, "dev_get_by_index_rcu" },
	{ 0x39c94d06, "pci_iov_vf_id" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x584585cc, "netdev_info" },
	{ 0xfdf98c22, "devlink_port_health_reporter_create" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe80d6d12, "debugfs_create_size_t" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x506f42e9, "skb_vlan_pop" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xccf164f0, "napi_consume_skb" },
	{ 0x6a30dbfc, "netif_device_attach" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfb6decee, "devl_register" },
	{ 0xce807a25, "up_write" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x645f7591, "irq_get_irq_data" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb315c4c7, "bpf_warn_invalid_xdp_action" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x40bf8c16, "netif_set_real_num_tx_queues" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xb7351703, "skb_store_bits" },
	{ 0x6626afca, "down" },
	{ 0xf2a34803, "skb_push" },
	{ 0x9120cee3, "xsk_uses_need_wakeup" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8b36160, "devlink_health_reporter_create" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x7f52071a, "net_dim" },
	{ 0x187f04cc, "unregister_netdev" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x4ba2e5ed, "__napi_schedule" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x28d87ea2, "pci_write_config_dword" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd06d2739, "__auxiliary_driver_register" },
	{ 0x96856b4, "__neigh_create" },
	{ 0xd1c9a09d, "priv_to_devlink" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x5ff88d68, "devl_rate_leaf_destroy" },
	{ 0x9178762a, "__dev_queue_xmit" },
	{ 0x19e46430, "__kmem_cache_create_args" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x96848186, "scnprintf" },
	{ 0x120cae7a, "xp_dma_unmap" },
	{ 0x156be70e, "vlan_dev_vlan_proto" },
	{ 0x22de30ea, "xdp_convert_zc_to_xdp_frame" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x1c10026c, "flow_rule_match_vlan" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3b0adfd5, "netdev_set_num_tc" },
	{ 0x47267744, "netdev_reset_tc" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x5dd8def9, "devlink_port_unregister" },
	{ 0xb9af405f, "xdp_rxq_info_unused" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x92997ed8, "_printk" },
	{ 0x668b19a1, "down_read" },
	{ 0xc41ba8db, "__SCK__tp_func_xdp_exception" },
	{ 0x22222bf5, "rps_may_expire_flow" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6027f238, "devl_assert_locked" },
	{ 0x16d578a8, "pcie_print_link_status" },
	{ 0x844637ef, "xfrm_state_check_expire" },
	{ 0x344bb3fe, "devlink_remote_reload_actions_performed" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x983275b4, "softnet_data" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xf8d2073, "free_netdev" },
	{ 0xba9bdf65, "netdev_warn" },
	{ 0x213fdc0e, "xdp_rxq_info_unreg" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc2afa160, "trace_raw_output_prep" },
	{ 0xa50acd3e, "devl_traps_register" },
	{ 0xfa4b78a9, "bpf_trace_run7" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc8007eb7, "call_switchdev_notifiers" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xe834acce, "dma_set_mask" },
	{ 0x215161a8, "flow_indr_block_cb_alloc" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xc0d51d32, "devl_nested_devlink_set" },
	{ 0x37453fd9, "debugfs_attr_read" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe8c17c6, "neigh_lookup" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0x7f24edcc, "dev_get_by_index" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2f4eded5, "devl_lock" },
	{ 0x45ab279e, "pci_save_state" },
	{ 0xa000750f, "__netif_napi_del" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5434d518, "auxiliary_device_sysfs_irq_add" },
	{ 0xd21a6aa4, "seq_open" },
	{ 0xbdf6bb29, "pci_cfg_access_unlock" },
	{ 0x79787211, "eth_get_headlen" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4f65c2b3, "register_fib_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x1722cbcc, "request_firmware_direct" },
	{ 0x962c7cb8, "dma_map_page_attrs" },
	{ 0xc2d7865c, "netif_queue_set_napi" },
	{ 0x41329782, "__ethtool_get_link_ksettings" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x1ffb1659, "flow_rule_match_basic" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe977c5ef, "napi_alloc_skb" },
	{ 0x47898799, "pci_disable_device" },
	{ 0xc9073307, "dev_remove_pack" },
	{ 0x6b18c634, "netif_set_tso_max_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66c1b180, "netif_schedule_queue" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x29992700, "napi_disable" },
	{ 0x1f444c36, "ptp_clock_index" },
	{ 0x9f6040f6, "netdev_pick_tx" },
	{ 0xc76a6f62, "dev_kfree_skb_any_reason" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xad83170a, "flow_block_cb_alloc" },
	{ 0xda06c0a6, "devlink_port_attrs_pci_sf_set" },
	{ 0xefba495, "flow_block_cb_lookup" },
	{ 0xb36387af, "pci_num_vf" },
	{ 0xece784c2, "rb_first" },
	{ 0xfcf90dbe, "ipv6_stub" },
	{ 0x9a77a1b7, "pci_enable_device" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3663e37e, "xp_alloc" },
	{ 0xac94c813, "__dev_get_by_index" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xcf95667b, "dma_unmap_page_attrs" },
	{ 0x3ff2a9c0, "pci_release_regions" },
	{ 0x9e57ed48, "xsk_set_tx_need_wakeup" },
	{ 0xee0f11b0, "xp_raw_get_dma" },
	{ 0xaf37e857, "skb_ext_add" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc8661579, "pci_reset_bus" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x87fc2836, "flow_rule_match_meta" },
	{ 0xa1e1d5da, "pci_restore_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6d4482ca, "trace_event_buffer_reserve" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x10ed3efe, "seq_release" },
	{ 0x293df616, "skb_copy_bits" },
	{ 0x473dd806, "auxiliary_device_init" },
	{ 0xbf062b94, "devl_rate_leaf_create" },
	{ 0x64c85707, "dma_alloc_attrs" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x93c5ee3c, "devl_rate_nodes_destroy" },
	{ 0xa9dd5766, "__skb_flow_dissect" },
	{ 0xbe1374e7, "dcb_ieee_setapp" },
	{ 0xad35cb1a, "ptp_clock_event" },
	{ 0x151d5dbd, "xdp_rxq_info_is_reg" },
	{ 0x1153aa0d, "netif_carrier_event" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xcefd3cee, "pci_disable_ptm" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6b3645f6, "unregister_fib_notifier" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5ca33441, "dma_pool_create" },
	{ 0x46536390, "flow_indr_dev_register" },
	{ 0xc3558e91, "debugfs_create_u64" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x3953f60b, "xdp_return_frame_bulk" },
	{ 0xa34d2654, "dma_free_attrs" },
	{ 0xb8049502, "page_pool_alloc_pages" },
	{ 0x3b96eb7, "xp_set_rxq_info" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x9e56a08c, "netif_device_detach" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8e435e57, "pcie_relaxed_ordering_enabled" },
	{ 0xed6c91f9, "simple_attr_release" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x6b0715c1, "xdp_return_frame" },
	{ 0x2d593566, "devl_unregister" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0xae83fe32, "devlink_net" },
	{ 0xc789e8c, "perf_trace_run_bpf_submit" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd2d066c9, "__dma_sync_single_for_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x862258db, "timecounter_init" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe6a722c2, "unregister_netdevice_notifier_dev_net" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x337af10a, "xdp_rxq_info_reg_mem_model" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0xe172b93d, "flow_rule_match_control" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x59a78ea6, "netdev_printk" },
	{ 0xd6db019f, "devl_port_register_with_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x526545c, "sock_gen_put" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x49413f93, "eth_type_trans" },
	{ 0xf8ffbcad, "debugfs_create_u8" },
	{ 0x72cd52ec, "napi_enable" },
	{ 0x6baa3b07, "devl_trap_groups_unregister" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xbc41fa83, "flow_rule_match_cvlan" },
	{ 0x3eea2e2e, "trace_event_buffer_commit" },
	{ 0x3ca611fd, "ndo_dflt_bridge_getlink" },
	{ 0x7dd87190, "__neigh_event_send" },
	{ 0xfc212ab0, "flow_block_cb_setup_simple" },
	{ 0x85a2712, "neigh_destroy" },
	{ 0x61f8ca6a, "arp_tbl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeccc2950, "xp_can_alloc" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xfb2268, "devl_params_unregister" },
	{ 0xc2851e90, "simple_open" },
	{ 0xafd0454e, "vlan_dev_vlan_id" },
	{ 0x10cb71df, "devlink_register" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xcd5a3f91, "dev_get_iflink" },
	{ 0x9527638f, "free_fib_info" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3221089b, "napi_schedule_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8761f834, "devlink_port_attrs_pci_vf_set" },
	{ 0x37a0cba, "kfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2af1c120, "xsk_clear_tx_need_wakeup" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6ec446c, "pv_ops" },
	{ 0x213595f6, "bpf_trace_run5" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5fdcf91f, "dcb_ieee_delapp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x91520cb5, "pci_iov_get_pf_drvdata" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2ad173ee, "xp_raw_get_data" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x62cf5283, "devl_param_driverinit_value_get" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xedc03953, "iounmap" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xffb7c514, "ida_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9a57ed4, "flow_rule_match_enc_control" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8c89a283, "netdev_update_features" },
	{ 0x8a4e93b4, "__inet_lookup_established" },
	{ 0xdc3228e6, "tls_get_record" },
	{ 0xf7bc1e70, "trace_event_raw_init" },
	{ 0x6c6a3c83, "devlink_trap_report" },
	{ 0x2b64c8f2, "__netdev_alloc_skb" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0x53844ccc, "dma_set_coherent_mask" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x490cee72, "pci_unregister_driver" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x66434fc7, "flow_rule_match_enc_ip" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x5a9b0d22, "___pskb_trim" },
	{ 0x8c6a6240, "flow_rule_match_tcp" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x85119559, "napi_complete_done" },
	{ 0xeebf3796, "debugfs_attr_write" },
	{ 0xacbf7c97, "devl_params_register" },
	{ 0xccfd5606, "skb_add_rx_frag_netmem" },
	{ 0x24d273d1, "add_timer" },
	{ 0x313f5e1a, "devlink_priv" },
	{ 0xc59905e2, "xp_alloc_batch" },
	{ 0x1af267f8, "int_pow" },
	{ 0xe066a839, "__pci_register_driver" },
	{ 0x594cff76, "pci_msix_vec_count" },
	{ 0x4ee480c4, "bpf_prog_add" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x6040d505, "pcie_capability_read_word" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xe9416393, "debugfs_create_x32" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x22eb7738, "devl_port_fn_devlink_set" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53b954a2, "up_read" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x73b0ab52, "dev_printk_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x7a63a15b, "dev_add_pack" },
	{ 0x61179ad6, "alloc_etherdev_mqs" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x16b49e3, "pci_msix_alloc_irq_at" },
	{ 0x538c1951, "pci_irq_vector" },
	{ 0xa4e23ac3, "ptp_clock_unregister" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x60cc066e, "skb_tstamp_tx" },
	{ 0x7f25e928, "ipv6_find_hdr" },
	{ 0x2d923fa, "netif_carrier_on" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x2f503f65, "netif_tx_wake_queue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe7bae89a, "bpf_trace_run2" },
	{ 0x4793a37a, "auxiliary_device_sysfs_irq_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xa244a8e, "init_net" },
	{ 0x2adad9fb, "pci_enable_sriov" },
	{ 0x11c5bf34, "tls_validate_xmit_skb" },
	{ 0xe65ae371, "pci_read_config_dword" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x10dbee6b, "netif_set_xps_queue" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd6126fa1, "devl_port_unregister" },
	{ 0x33adec4d, "__auxiliary_device_add" },
	{ 0xc1b94c68, "bpf_trace_run1" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x9e2a239e, "netdev_master_upper_dev_get_rcu" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xde80cd09, "ioremap" },
	{ 0x745a981, "xa_erase" },
	{ 0xa999a0eb, "xdp_do_redirect" },
	{ 0xef102c25, "psample_sample_packet" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0xa916b694, "strnlen" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb19e3921, "devlink_port_attrs_set" },
	{ 0xf5f7f8c5, "flow_rule_match_mpls" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xfdefb568, "__dma_sync_single_for_cpu" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x56d0d910, "flow_rule_match_enc_ports" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xd30fec61, "devl_resources_unregister" },
	{ 0xf03684a9, "page_pool_put_unrefed_netmem" },
	{ 0x2a2966b6, "skb_put" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x77d8c4c3, "pci_read_config_word" },
	{ 0x9861ad67, "xp_dma_map" },
	{ 0x39945374, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xfb578fc5, "memset" },
	{ 0x198caccf, "hwmon_device_unregister" },
	{ 0x3d215838, "__xdp_rxq_info_reg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8e661909, "devlink_unregister" },
	{ 0x464a3305, "dst_release" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xe600a678, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9291e117, "__trace_trigger_soft_disabled" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x9a6f3ae2, "udp4_hwcsum" },
	{ 0x100ed17d, "xp_free" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xe5077a98, "xdp_master_redirect" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1fd72aa2, "secpath_set" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x57bc19d2, "down_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaa39e1f2, "bpf_trace_run3" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x66454354, "seq_printf" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x618911fc, "numa_node" },
	{ 0x349cba85, "strchr" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc7ff648f, "unregister_netdevice_notifier_net" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x10fc91e1, "dev_addr_mod" },
	{ 0xfd65d2c3, "pci_set_master" },
	{ 0xc8556b87, "__tracepoint_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4acd7324, "devl_unlock" },
	{ 0xfa3c0530, "pci_free_irq_vectors" },
	{ 0x8c1e6ce7, "pci_cfg_access_lock" },
	{ 0x3113ba43, "bpf_trace_run4" },
	{ 0xe83e4a21, "pcie_bandwidth_available" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x70bc6090, "ptp_schedule_worker" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe680e783, "pci_alloc_irq_vectors" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x669727c0, "flow_rule_match_ip" },
	{ 0x52250312, "ptp_find_pin" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1e07ba17, "trace_event_reg" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x101f5800, "pci_request_regions" },
	{ 0x9b1e1aae, "sk_skb_reason_drop" },
	{ 0x60f988e4, "const_pcpu_hot" },
	{ 0xcf2a6966, "up" },
	{ 0xc0007cb5, "pci_enable_ptm" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x13a8c115, "metadata_dst_alloc" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe6579c8, "xsk_tx_release" },
	{ 0xafeaf0fb, "devl_trap_groups_register" },
	{ 0x4ccf2101, "pcie_capability_clear_and_set_word_locked" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x38906e2d, "ethtool_op_get_link" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xa6257a2f, "complete" },
	{ 0x1d31d35e, "xsk_tx_completed" },
	{ 0x7a2529b4, "page_pool_put_unrefed_page" },
	{ 0xd7c31d81, "auxiliary_driver_unregister" },
	{ 0xf4a536ff, "devl_resource_register" },
	{ 0xfed96d9b, "trace_event_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xccc220b3, "pci_msix_can_alloc_dyn" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb4d89483, "netdev_err" },
	{ 0x20375d8f, "udp_tunnel_nic_ops" },
	{ 0x41a6f6ee, "flow_rule_match_eth_addrs" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x75e0d381, "netif_napi_add_weight" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xaf0ad3f8, "flow_rule_match_enc_keyid" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x51f71c6f, "page_pool_get_stats" },
	{ 0x81e2bf01, "bpf_prog_inc" },
	{ 0xb6c13852, "hwmon_device_register_with_info" },
	{ 0xaca9140b, "pci_enable_atomic_ops_to_root" },
	{ 0xd2fb3958, "flow_rule_match_ct" },
	{ 0x754d539c, "strlen" },
	{ 0x4823114b, "napi_gro_receive" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0x8e001849, "netdev_lower_get_next" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xceb21fe7, "netdev_set_tc_queue" },
	{ 0x35f9a95f, "debugfs_create_atomic_t" },
	{ 0x49e49cdd, "register_netdevice_notifier_dev_net" },
	{ 0xe6ab955b, "debugfs_create_u32" },
	{ 0x28181c9c, "flow_rule_match_ipv4_addrs" },
	{ 0x86f58215, "bpf_prog_put" },
	{ 0xc2c5802, "work_busy" },
	{ 0xc1a9dbfe, "register_netdev" },
	{ 0xc22ef15, "netif_set_real_num_rx_queues" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0xceb4a2f0, "__alloc_pages_noprof" },
	{ 0xca383a09, "xfrm_replay_seqhi" },
	{ 0xe80def2a, "skb_pull" },
	{ 0x5ab11be4, "pci_sriov_get_totalvfs" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbd3986b4, "devlink_free" },
	{ 0xcd279169, "nla_find" },
	{ 0x65331094, "skb_coalesce_rx_frag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb67af762, "__kmalloc_cache_node_noprof" },
	{ 0xdfcc992c, "current_work" },
	{ 0xb8e2e84e, "metadata_dst_free" },
	{ 0xbb5473b8, "kmem_cache_destroy" },
	{ 0xddb58897, "alloc_pages_noprof" },
	{ 0x1883d43f, "pci_disable_sriov" },
	{ 0x281fe3bb, "flow_rule_match_enc_opts" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x46cb4e23, "page_pool_update_nid" },
	{ 0xdbf2c213, "devl_health_reporter_create" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x638605a8, "ip_route_output_flow" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x856884f0, "ptp_clock_register" },
	{ 0x63451d39, "napi_build_skb" },
	{ 0xfa0b71c8, "pci_find_capability" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb371e519, "page_pool_destroy" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9c1c91d2, "flow_block_cb_free" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x6fe80bd5, "__dynamic_netdev_dbg" },
	{ 0xc3240cc0, "xsk_tx_peek_desc" },
	{ 0x83ac2803, "flow_rule_match_ports" },
	{ 0xa11c5284, "skb_checksum" },
	{ 0xc06fbc9b, "xdp_set_features_flag" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4a9a4779, "__inet6_lookup_established" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x2ac55d7a, "page_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4ae9c3a0, "__pskb_pull_tail" },
	{ 0xbbe7ba4a, "devlink_alloc_ns" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x29008a81, "devlink_port_register_with_ops" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x85bb2849, "seq_read" },
	{ 0xc88d6fd, "ip6_dst_hoplimit" },
	{ 0xef34476, "netif_carrier_off" },
	{ 0xb80a8a8c, "single_open" },
	{ 0xe22dc289, "devlink_port_attrs_pci_pf_set" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5b7a6d95, "devl_traps_unregister" },
	{ 0x42b2d73b, "devl_port_health_reporter_create" },
	{ 0x9076d124, "device_del" },
	{ 0x2e723e25, "pci_msix_free_irq" },
	{ 0x1fd2cbad, "vlan_dev_real_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xadd2627, "dev_get_port_parent_id" },
	{ 0x16abc68f, "xsk_set_rx_need_wakeup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d187d9, "put_device" },
	{ 0xd4496f5b, "single_release" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xeadae595, "devl_param_driverinit_value_set" },
	{ 0xb19b445, "ioread8" },
	{ 0x7bad74cf, "simple_attr_open" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x5ed0969e, "qdisc_reset" },
	{ 0x50abaed9, "flow_indr_dev_unregister" },
	{ 0xa20deae7, "xsk_clear_rx_need_wakeup" },
	{ 0xd27253c1, "__kmalloc_node_noprof" },
	{ 0x4fee1b28, "netdev_port_same_parent_id" },
	{ 0x36f527f7, "flow_rule_match_ipv6_addrs" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc07cb790, "register_netdevice_notifier_net" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x1b19025, "netdev_master_upper_dev_get" },
	{ 0xb6ed175c, "flow_rule_match_icmp" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mlxfw,tls,pci-hyperv-intf,psample");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");

MODULE_INFO(srcversion, "7072AF92FB118D31E2B8928");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
