#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x43d88b50, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x0b8e4d83, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xb0f20847, "_gpl");
SYMBOL_CRC(mt7615_ops, 0xc0b508fb, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x702af46d, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x15885715, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x5d16ae94, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0xfcb31b4f, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xb15c9c23, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x43cbab61, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xad221ca6, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x1bb1bf58, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x02470c2c, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xf6e8af99, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x9716c316, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x6921c974, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x4e1c362e, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x5d40d0e4, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xc59fbf30, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x2fe04c25, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xdb55bc8c, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x4b5f7667, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xb734d664, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x5090df8a, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x6bf98bc9, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x0c0e9324, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xe482dc9e, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x06543735, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xeec9b3f3, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x3329b52b, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x95aed5b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca3e195f, "mt76_wcid_key_setup" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x242ea1da, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x3c0d585b, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x23c58bf1, "mt76_connac_mcu_sched_scan_req" },
	{ 0x9a7c39bf, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x234e5edc, "mt76_connac_mcu_uni_add_bss" },
	{ 0x84e7fd39, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2c0b89ab, "wiphy_to_ieee80211_hw" },
	{ 0x37453fd9, "debugfs_attr_read" },
	{ 0xf4b06e0, "mt76_connac_mcu_hw_scan" },
	{ 0xa5dde47f, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc2a03bb, "ieee80211_queue_delayed_work" },
	{ 0x429ba86d, "mt76_eeprom_init" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc789e8c, "perf_trace_run_bpf_submit" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xc2851e90, "simple_open" },
	{ 0xe80def2a, "skb_pull" },
	{ 0xc76ff36a, "debugfs_create_file_unsafe" },
	{ 0x8c1812db, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xed6c91f9, "simple_attr_release" },
	{ 0xc92f8173, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x55b64098, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0x71073173, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2a34803, "skb_push" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0x1e07ba17, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xe7781a2a, "ieee80211_wake_queues" },
	{ 0x125c7b91, "mt76_mcu_send_and_get_msg" },
	{ 0x7007176e, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2236e553, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe206600d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3140a6ff, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd0a4bf03, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5737fe4b, "mt76_connac_mcu_set_pm" },
	{ 0xc9399dd2, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb6bc7b53, "devm_hwmon_device_register_with_groups" },
	{ 0xf3d975d5, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x3bc273d5, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6ab955b, "debugfs_create_u32" },
	{ 0x97ee48ad, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xad7a316a, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x71a2a704, "__SCK__tp_func_mac_txdone" },
	{ 0xf03f7427, "mt76_sta_state" },
	{ 0x1c736535, "ieee80211_ready_on_channel" },
	{ 0x67559c5b, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcda2ae17, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x585b9e, "mt76_connac_mcu_init_download" },
	{ 0x2c9a2763, "devm_kasprintf" },
	{ 0x85bb2849, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f994d16, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x52d664bd, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0xb94bf020, "mt76_get_rate_power_limits" },
	{ 0x6d4482ca, "trace_event_buffer_reserve" },
	{ 0xc58196ed, "ieee80211_sched_scan_results" },
	{ 0xf4cf5e7c, "ieee80211_scan_completed" },
	{ 0x11a8fb1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x60049bd0, "mt76_insert_ccmp_hdr" },
	{ 0x75a13152, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6feca651, "mt76_sw_scan_complete" },
	{ 0x2b23dd9a, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x83eab0fb, "seq_write" },
	{ 0x3780b502, "mt76_connac_mcu_start_firmware" },
	{ 0xca823446, "____mt76_poll_msec" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xa41e599c, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb34cbc3, "mt76_connac_mcu_rdd_cmd" },
	{ 0x66454354, "seq_printf" },
	{ 0xb944cfb, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf2e36965, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf08b02b8, "mt76_unregister_phy" },
	{ 0x5ed27fa7, "mt76_register_phy" },
	{ 0x17adc86f, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x69bab2ab, "mt76_put_txwi" },
	{ 0xc96d23c1, "mt76_wcid_cleanup" },
	{ 0xb261f906, "ieee80211_radar_detected" },
	{ 0xeea4feec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x5a4dce41, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xd4496f5b, "single_release" },
	{ 0x40691bb0, "mt76_sw_scan" },
	{ 0x9ca480e7, "mt76_queues_read" },
	{ 0xdef716fd, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x6e185c3e, "mt76_sta_pre_rcu_remove" },
	{ 0x77682990, "mt76_register_debugfs_fops" },
	{ 0x8b227ccf, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x8d909330, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x3571a879, "mt76_connac_mcu_sta_ba" },
	{ 0x4555f4eb, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x2f54bda9, "ieee80211_queue_work" },
	{ 0x3221089b, "napi_schedule_prep" },
	{ 0xcf0bfe6d, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xc1fec062, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x340d6c27, "__mt76_poll" },
	{ 0x8b429a63, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf8ffbcad, "debugfs_create_u8" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xbac762e4, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7a24c166, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x43326f10, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4a88ffa8, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8b35fbae, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x1d69b350, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xa48bc370, "mt76_update_channel" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0x61cb5105, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0xd56af926, "mt76_connac_mcu_sta_tlv" },
	{ 0xc896ae9, "device_set_wakeup_enable" },
	{ 0xfc8b7b13, "mt76_tx_worker_run" },
	{ 0x64f37b1b, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3a5dafe0, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7bad74cf, "simple_attr_open" },
	{ 0x7cc3740, "ieee80211_iterate_interfaces" },
	{ 0xeebf3796, "debugfs_attr_write" },
	{ 0xb0acc006, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xf58484ef, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4be91a6d, "devm_kmalloc" },
	{ 0x2a2966b6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9001ef33, "firmware_request_nowarn" },
	{ 0x8f94f0ed, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2236f79e, "mt76_tx_status_skb_get" },
	{ 0xc2afa160, "trace_raw_output_prep" },
	{ 0x6ebc847e, "mt76_tx_status_lock" },
	{ 0x9291e117, "__trace_trigger_soft_disabled" },
	{ 0xe0992137, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x556cc0cd, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5c52d96, "ieee80211_free_hw" },
	{ 0xc62ae4bb, "mt76_connac_mcu_set_channel_domain" },
	{ 0xe23f8d39, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8b930772, "mt76_release_buffered_frames" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0xfed96d9b, "trace_event_printf" },
	{ 0x7239dc99, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x54556f7f, "__tracepoint_mac_txdone" },
	{ 0x8c6d74f0, "mt76_connac_pm_wake" },
	{ 0x8225fcaf, "mt76_get_rate" },
	{ 0xff3d20a1, "mt76_wake_tx_queue" },
	{ 0x303e6d51, "ieee80211_tx_status_ext" },
	{ 0xf7bc1e70, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xee447f85, "mt76_connac_mcu_chip_config" },
	{ 0x1e20e1ed, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c9ca35f, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x9dc1760a, "__mt76_tx_complete_skb" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0xa3e343b0, "mt76_set_stream_caps" },
	{ 0x1a89e44f, "ieee80211_emulate_change_chanctx" },
	{ 0xe7bae89a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd1d11bff, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x24d63792, "mt76_connac_mcu_update_arp_filter" },
	{ 0x8bd928fb, "mt76_connac_mcu_set_vif_ps" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xcc46e146, "mt76_mcu_rx_event" },
	{ 0x8f5f78a5, "mt76_alloc_phy" },
	{ 0x81ea5908, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86e56afc, "mt76_wcid_init" },
	{ 0xb4c14e28, "mt76_tx_status_check" },
	{ 0xa9d8d8bd, "wake_up_process" },
	{ 0x23188489, "mt76_connac_free_pending_tx_skbs" },
	{ 0xd3bc18cb, "skb_queue_purge_reason" },
	{ 0xac2d0a95, "mt76_connac_power_save_sched" },
	{ 0x3eea2e2e, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfdff2e34, "cfg80211_reg_check_beaconing" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0x2445160d, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xf9bc4670, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71293531, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6fad0be1, "mt76_tx" },
	{ 0x4ba2e5ed, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ca69a4f, "__alloc_skb" },
	{ 0x8a27861, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "A6FDF72437486A80FA758D1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
