#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x412f9fc5, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x6f26d2e3, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x1e8056b5, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xb2aa45da, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x4e29fc7a, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x515d1d92, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x2fb58123, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x7d6b146d, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x92a3ff66, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x13e3bf89, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x662feb39, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x98af481f, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x55761eca, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xa8c1e9e9, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x8a1b77cc, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x8aad092f, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x8d8daa25, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x3834ad13, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x5fa7a9b9, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xe5d00614, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xab8d18f5, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xa270504f, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xc6c18c1d, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x2d4c8f0f, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x91cb72c8, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xd86f4422, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x53d7cc2b, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x7fac86e0, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xee33cbf7, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x86390687, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x4479465f, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xe223c7c4, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xbffb5077, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xae130299, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xcb38e94c, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x8cdd0316, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xfe4b61ec, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x2d133399, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x65876585, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x3b075634, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x484df226, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x2d2823fb, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x35ed9060, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xbce420be, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1fd2cbad, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc1812f4, "iscsi_host_remove" },
	{ 0x111327d6, "pci_dev_put" },
	{ 0xf0311902, "iscsi_host_free" },
	{ 0x188973b4, "iscsi_host_alloc" },
	{ 0x2795554a, "pci_dev_get" },
	{ 0x93e61143, "iscsi_host_add" },
	{ 0x29f49f01, "scsi_host_put" },
	{ 0x9b1e1aae, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4e58d9f5, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc695b47, "iscsi_conn_queue_xmit" },
	{ 0x31182685, "__kfree_skb" },
	{ 0xe616377f, "iscsi_tcp_cleanup_task" },
	{ 0xe59012e5, "cxgbi_ppm_ppod_release" },
	{ 0x7f0fc906, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x4f71c605, "iscsi_tcp_conn_setup" },
	{ 0x872621c5, "iscsi_session_setup" },
	{ 0x5b066cda, "iscsi_tcp_r2tpool_alloc" },
	{ 0x2087a0df, "iscsi_session_teardown" },
	{ 0xbe9c501e, "iscsi_tcp_r2tpool_free" },
	{ 0xdddda4a5, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4b43ac46, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe25ac146, "iscsi_host_get_param" },
	{ 0x2232459, "iscsi_unregister_transport" },
	{ 0xddb58897, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xda6d4ad, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xb4a0b9d7, "iscsi_register_transport" },
	{ 0xa244a8e, "init_net" },
	{ 0x75a619fa, "ip6_route_output_flags" },
	{ 0xe335dff1, "iscsi_tcp_set_max_r2t" },
	{ 0xc586c103, "iscsi_set_param" },
	{ 0x9ca69a4f, "__alloc_skb" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe0f73f1a, "cxgbi_ppm_ppods_reserve" },
	{ 0x4d707cb0, "dma_map_sg_attrs" },
	{ 0xb80fb413, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb28ef53, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x78dbdc85, "iscsi_tcp_recv_skb" },
	{ 0xf944c62, "iscsi_lookup_endpoint" },
	{ 0x3fc4a0f0, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xcd4d8116, "iscsi_tcp_hdr_recv_prep" },
	{ 0x7f5c40f5, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x464a3305, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa88bcccf, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfe4b34e9, "__folio_put" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0x9c9deabe, "module_put" },
	{ 0x4bf3a97a, "iscsi_destroy_endpoint" },
	{ 0xefe980b6, "ipv6_dev_get_saddr" },
	{ 0x85a2712, "neigh_destroy" },
	{ 0xc0352b42, "make_kuid" },
	{ 0x638605a8, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x8f8cbd2c, "iscsi_create_endpoint" },
	{ 0x5c5c4a24, "__ip_dev_find" },
	{ 0x2a2966b6, "skb_put" },
	{ 0x60f988e4, "const_pcpu_hot" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x90bf484c, "iscsi_itt_to_ctask" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
