#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x63402594, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x54574a4e, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x707a8ea5, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x868126e0, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0x738c79ba, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x26a8d592, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xa308b9d4, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x611d0600, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xd1874ff0, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xa15fc7b8, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xee4abc66, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x1cc8a8eb, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x39555e79, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xf481de57, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x75aa6599, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x7efd61ac, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x8bf273d2, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x5c78efe2, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x7395c9a4, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x89f9f3d2, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x5f272a0d, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x49b3dce3, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x9281a6a3, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x24b1bb76, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x1048f3c7, "");
SYMBOL_CRC(fuse_do_ioctl, 0xc1556b5a, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xb1f76c6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x731a665e, "iov_iter_extract_pages" },
	{ 0xe3ee5b0c, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa24e131f, "copy_page_from_iter_atomic" },
	{ 0x3fab6be5, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xc0264b91, "fs_context_for_submount" },
	{ 0x75f780d1, "inode_init_once" },
	{ 0xa00f9d77, "file_write_and_wait_range" },
	{ 0xa2ab186, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7fad06a9, "nosteal_pipe_buf_ops" },
	{ 0x7b54e274, "ilookup5" },
	{ 0x135b6222, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1eef9b46, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xafd78f28, "release_pages" },
	{ 0x47a3e1bb, "page_get_link_raw" },
	{ 0xc789e8c, "perf_trace_run_bpf_submit" },
	{ 0xbff90b55, "generic_file_direct_write" },
	{ 0xe87b165a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x9fe18d56, "generic_file_read_iter" },
	{ 0x39e3d58a, "inode_maybe_inc_iversion" },
	{ 0x6ce41696, "unlock_page" },
	{ 0xbb18b302, "inc_node_page_state" },
	{ 0x7be66899, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb2776c2c, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f6a1f38, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x1c57b860, "backing_file_splice_read" },
	{ 0x232bcdc0, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0x9f0bb04e, "write_cache_pages" },
	{ 0x9282f8fd, "file_update_time" },
	{ 0xdb181e59, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42b5ad9c, "kmem_cache_alloc_lru_noprof" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0xdd940ed4, "fget_raw" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xa99aa21f, "from_kgid" },
	{ 0xb8e5162b, "fasync_helper" },
	{ 0x1e07ba17, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6e8c52a7, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4a733c40, "from_vfsgid" },
	{ 0x86b1d611, "write_inode_now" },
	{ 0x5cf61a16, "dax_writeback_mapping_range" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd921db7c, "d_obtain_alias" },
	{ 0x5fc9fa74, "file_modified" },
	{ 0x7923f76b, "copy_page_to_iter" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xecc8fe83, "folio_end_read" },
	{ 0xbb56eb0, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x5f1baa36, "__folio_start_writeback" },
	{ 0xc1b94c68, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe63ec2d1, "kill_litter_super" },
	{ 0xc1ad6d73, "folio_end_writeback" },
	{ 0x88d7d207, "folio_alloc_noprof" },
	{ 0x54cee657, "from_kuid" },
	{ 0xac582472, "current_in_userns" },
	{ 0x7377220e, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xfd222555, "sysfs_remove_mount_point" },
	{ 0x184df9f5, "misc_register" },
	{ 0x11c42062, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x817ff220, "in_group_or_capable" },
	{ 0x57dbc46f, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x8c5cd113, "d_delete" },
	{ 0x19e46430, "__kmem_cache_create_args" },
	{ 0x402a23d3, "from_kgid_munged" },
	{ 0xf8dca8f7, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6f262eb6, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x6358527a, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37cd4c2e, "nonseekable_open" },
	{ 0x85809f48, "dax_finish_sync_fault" },
	{ 0x7c164aee, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x117a1617, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7dd7f103, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x4096975f, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb032e1f, "generic_read_dir" },
	{ 0x6d4482ca, "trace_event_buffer_reserve" },
	{ 0x2ccb144b, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0xfea41a56, "folio_copy" },
	{ 0x56906037, "d_find_alias" },
	{ 0xdbcff984, "invalidate_inode_pages2" },
	{ 0xcbb4e8d6, "inode_set_ctime_current" },
	{ 0x816acacf, "inc_nlink" },
	{ 0x83eab0fb, "seq_write" },
	{ 0xfe4b34e9, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x893cf69c, "get_tree_bdev" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x8278e5ef, "set_anon_super_fc" },
	{ 0x66454354, "seq_printf" },
	{ 0xfeab5338, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdd93e51e, "generic_delete_inode" },
	{ 0x5bb7730, "deactivate_locked_super" },
	{ 0x499413de, "touch_atime" },
	{ 0xdebbb27d, "__percpu_down_read" },
	{ 0xda55e0ef, "__d_lookup_unhash_wake" },
	{ 0xfc391f6e, "set_page_dirty_lock" },
	{ 0x506a1add, "pid_nr_ns" },
	{ 0x2fe4b61a, "generic_file_open" },
	{ 0x59102a6d, "truncate_inode_pages_range" },
	{ 0xcbd612b1, "__put_user_ns" },
	{ 0xddb58897, "alloc_pages_noprof" },
	{ 0x2236f5f, "__folio_lock" },
	{ 0x75f24e85, "filemap_dirty_folio" },
	{ 0x756e2f9b, "pagecache_get_page" },
	{ 0x1bd1e7ae, "stream_open" },
	{ 0xc3797855, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0x33a2c549, "add_to_pipe" },
	{ 0x772fa8fe, "__fs_parse" },
	{ 0xa8571312, "dax_layout_busy_page_range" },
	{ 0x1f178e, "filemap_splice_read" },
	{ 0x776d1260, "posix_acl_to_xattr" },
	{ 0xe5505f71, "dget_parent" },
	{ 0x68b62329, "kill_anon_super" },
	{ 0xe8da3277, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x2dad8de7, "iget5_locked" },
	{ 0xcf6d138c, "security_dentry_init_security" },
	{ 0x6b435d58, "filemap_write_and_wait_range" },
	{ 0xf017d818, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe37356ca, "generic_write_checks" },
	{ 0x8e51a6d0, "iov_iter_revert" },
	{ 0x2c7bfc7e, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1c97c19c, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x777a5686, "filemap_fault" },
	{ 0xe24bb3a7, "d_invalidate" },
	{ 0x1d64e002, "__mark_inode_dirty" },
	{ 0xbac762e4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4fab690, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x8a8a0088, "drop_nlink" },
	{ 0x5e3b91be, "fault_in_iov_iter_readable" },
	{ 0xa4245011, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d681e4d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xc5bbf4f1, "fs_param_is_uid" },
	{ 0x9d26d781, "bdi_set_max_ratio" },
	{ 0xbb5473b8, "kmem_cache_destroy" },
	{ 0x327d8d22, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x87701bd1, "super_setup_bdi_name" },
	{ 0x93b71651, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xac50cf28, "truncate_inode_pages" },
	{ 0x2b75986c, "noop_backing_dev_info" },
	{ 0xcd3593bf, "pipe_lock" },
	{ 0x917f6efb, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x19ec643d, "vfs_fsync_range" },
	{ 0x3fbd34be, "setattr_prepare" },
	{ 0x53abc68b, "filemap_migrate_folio" },
	{ 0xf4008ea1, "clear_nlink" },
	{ 0x31218116, "file_check_and_advance_wb_err" },
	{ 0x6ebeaf0d, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x87937b3b, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xe4806f1e, "misc_deregister" },
	{ 0x99bade71, "make_vfsgid" },
	{ 0x789d13cb, "clear_inode" },
	{ 0xaaaa54d3, "inode_to_bdi" },
	{ 0xc6750a66, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x6a160543, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6f67f4b5, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8aadc334, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe19be4e5, "fs_param_is_string" },
	{ 0x36c416b7, "folio_unlock" },
	{ 0xc1b05df8, "new_inode" },
	{ 0xc7660ffa, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xe92b22d0, "dump_page" },
	{ 0xc2afa160, "trace_raw_output_prep" },
	{ 0x840cf4ef, "forget_all_cached_acls" },
	{ 0x6a21f171, "init_special_inode" },
	{ 0x3a1dc783, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa7255b8d, "task_active_pid_ns" },
	{ 0xfda46087, "iov_iter_single_seg_count" },
	{ 0x6e87cc9b, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xab6d1edb, "filemap_fdatawrite_range" },
	{ 0x9291e117, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9d786f0e, "d_alloc_name" },
	{ 0xd7d9004b, "replace_page_cache_folio" },
	{ 0xc23261, "inode_query_iversion" },
	{ 0x165bfdcd, "iov_iter_advance" },
	{ 0x3c38337, "kill_fasync" },
	{ 0x1dfaa40b, "d_make_root" },
	{ 0xfed96d9b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17b6747d, "backing_file_splice_write" },
	{ 0x9ca3a170, "sb_set_blocksize" },
	{ 0x1f8b9548, "fget" },
	{ 0x8d5c696b, "simple_fill_super" },
	{ 0x23967b1, "xas_find" },
	{ 0x67538c4a, "sync_filesystem" },
	{ 0xaba66b78, "noop_dirty_folio" },
	{ 0xa558537e, "sget_fc" },
	{ 0x73edf0bb, "param_set_uint" },
	{ 0xabbf59ff, "d_splice_alias" },
	{ 0xfde602fb, "iov_iter_get_pages2" },
	{ 0xe4086a56, "direct_write_fallback" },
	{ 0xf7bc1e70, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x58dd8559, "from_vfsuid" },
	{ 0xc1b8a7e8, "generic_permission" },
	{ 0x738670f5, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x5276fcc4, "invalidate_inode_pages2_range" },
	{ 0xa2c7f65c, "posix_lock_file" },
	{ 0x513fc254, "finish_open" },
	{ 0x6e6711fe, "dax_iomap_rw" },
	{ 0x9613fe92, "iput" },
	{ 0xbf55b16f, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x342564c5, "logfc" },
	{ 0x5b5ca6c5, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa648714e, "init_pid_ns" },
	{ 0xb27d1f8e, "dax_iomap_fault" },
	{ 0x92a7be87, "iov_iter_init" },
	{ 0x936081b7, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x2b21dffa, "sysfs_create_mount_point" },
	{ 0x3f40b53, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc1b58135, "register_filesystem" },
	{ 0xad81610c, "folio_add_lru" },
	{ 0x2598bb8a, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2336b15d, "sync_inode_metadata" },
	{ 0xbcc84a8c, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xfbac5e80, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d47fef2, "shrink_dcache_parent" },
	{ 0x882dabca, "make_vfsuid" },
	{ 0x633e92d8, "__put_cred" },
	{ 0x7cf99a37, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xedc943c5, "get_tree_nodev" },
	{ 0x72d56d80, "splice_file_range" },
	{ 0x3eea2e2e, "trace_event_buffer_commit" },
	{ 0x896f1ced, "simple_inode_init_ts" },
	{ 0x7d952af8, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f409606, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4871a545, "fs_param_is_u32" },
	{ 0xcb3e1890, "inode_newsize_ok" },
	{ 0x1601c8df, "d_drop" },
	{ 0x7852622a, "kill_block_super" },
	{ 0x8688c17c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf35f031a, "bdi_put" },
	{ 0xbd3e1661, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x95c8bb66, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc0352b42, "make_kuid" },
	{ 0xde4a9435, "truncate_inode_pages_final" },
	{ 0x287fdca4, "fs_kobj" },
	{ 0x3bbe9ce1, "__filemap_set_wb_err" },
	{ 0xbed4a528, "simple_dir_operations" },
	{ 0xb5602b4d, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xaa025080, "backing_file_mmap" },
	{ 0xb915e479, "__filemap_get_folio" },
	{ 0x60f988e4, "const_pcpu_hot" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0x6058ec6d, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x81a3b0a, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x4a0b76b8, "setattr_should_drop_suidgid" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA06A5B82B520726DB88642");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
